Bug 250608 - [new port] www/youtube_dlc: version 2020.10.24.6
Summary: [new port] www/youtube_dlc: version 2020.10.24.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/blackjack4494/yt-dlc/
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-25 20:03 UTC by daniel.engberg.lists
Modified: 2020-10-31 07:08 UTC (History)
7 users (show)

See Also:


Attachments
Patch for youtube_dlc (13.06 KB, patch)
2020-10-25 20:03 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for youtube_dlc v2 (13.08 KB, patch)
2020-10-25 21:48 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-10-25 20:03:09 UTC
Created attachment 219080 [details]
Patch for youtube_dlc

This is an active fork of youtube-dl with references to copyright material removed [1]. If possible I'd like this to go under multimedia@FreeBSD.org maintainership just like youtube-dl.

References:
[1] https://github.com/blackjack4494/yt-dlc/commit/dd2d55f10dac8b6cb5e8ab4b2cccb302655b40ea#diff-fdb1ee8d93ba2ba9f31ec19f7332f7d1a676a795f8dc0396f7f5f19b45ec3a96
Based on youtube-dl port in tree

Compile and runtime tested on:
FreeBSD 13.0-CURRENT #0 r364979 (amd64)

Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 Kurt Jaeger freebsd_committer 2020-10-25 21:01:46 UTC
No CONFLICTS with www/youtube_dl ?
Comment 2 daniel.engberg.lists 2020-10-25 21:11:30 UTC
Not unless you enable the SYMLINK option
Comment 3 Kurt Jaeger freebsd_committer 2020-10-25 21:35:56 UTC
Can you test with SYMLINK_CONFLICTS = youtube_dl in the Makefile ?
Comment 4 daniel.engberg.lists 2020-10-25 21:48:37 UTC
Created attachment 219085 [details]
Patch for youtube_dlc v2

Add SYMLINK_CONFLICTS
Comment 5 daniel.engberg.lists 2020-10-25 21:48:52 UTC
Tested, works as expected
Comment 6 commit-hook freebsd_committer 2020-10-26 08:33:28 UTC
A commit references this bug:

Author: tcberner
Date: Mon Oct 26 08:32:44 UTC 2020
New revision: 553325
URL: https://svnweb.freebsd.org/changeset/ports/553325

Log:
  New port: www/youtube_dlc

  This is an active fork of youtube-dl with references to copyright material removed [1].

  [1] https://github.com/blackjack4494/yt-dlc/commit/dd2d55f10dac8b6cb5e8ab4b2cccb302655b40ea#diff-fdb1ee8d93ba2ba9f31ec19f7332f7d1a676a795f8dc0396f7f5f19b45ec3a96

  PR:		250608
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/www/Makefile
  head/www/youtube_dlc/
  head/www/youtube_dlc/Makefile
  head/www/youtube_dlc/distinfo
  head/www/youtube_dlc/files/extrapatch-manpages
  head/www/youtube_dlc/files/patch-Makefile
  head/www/youtube_dlc/files/patch-youtube__dlc_____init____.py
  head/www/youtube_dlc/files/patch-youtube__dlc_options.py
  head/www/youtube_dlc/files/patch-youtube_dl____init__.py
  head/www/youtube_dlc/files/patch-youtube_dl__options.py
  head/www/youtube_dlc/pkg-descr
  head/www/youtube_dlc/pkg-plist
Comment 7 Tobias C. Berner freebsd_committer 2020-10-26 08:34:40 UTC
(In reply to commit-hook from comment #6)
Committed via repo-copy. 
As requested, multimedia@ is set as the Maintainer.

Thanks!

mfg Toibas
Comment 8 VVD 2020-10-30 23:28:23 UTC
Some ports depends on youtube_dl (mpv for example) - how can we add possibility to "make" this dependency by youtube_dlc?
Comment 9 Tobias C. Berner freebsd_committer 2020-10-31 07:08:30 UTC
(In reply to VVD from comment #8)
Moin moin 

We could add an option, to be able to chose the one pulled in.
But I guess it should just be switched to youtube_dlc globally and enable the SYMLINK option there by default.


mfg Tobias